# Security center

## Overview

### Product introduction
The security center is a management tool based on KYSEC security framework. It provides functions such as system security physical examination, account protection configuration, firewall configuration, networking control, virus protection, application source inspection, application execution control，application protection ，Peripheral Management and other functions , so as to ensure the security and stability of the system operating environment.

### Product Highlights
The security center integrates the functions of Security Scan, Account Protection, Network Protection, Virus Protection and Application Protection to comprehensively ensure the security of the system operation environment. 
- Security Scan:it provides multi-dimensional scanning and one click repair of account security, operation security and system security, which can automatically update vulnerability patches and find system security risks in time.
- Account Protection: provide the system account password strength check and account locking mechanism, realize the unified control of the system account, improve the security defense ability of the system account, and effectively prevent the password from being brutally cracked.
- Network Protection: provide firewall and application networking control function, protect unknown application network behavior in real time, block active outreach and other abnormal network activities, and improve network access security.
- Virus Defense: it provides a unified management entrance for anti-virus software, which can be compatible with a variety of mainstream virus protection software, prevent virus intrusion in real time and protect system security.
- Application Control: provide application source check and application execution control functions to prevent illegal installation and malicious execution of unknown software and applications, avoid trojan virus attacks, and ensure the safety and reliability of the system operating environment.
- Application Protection: it provides process anti killing, kernel module anti unloading and file anti tampering functions to protect the integrity of key files of the system and prevent abnormal interruption of key application services of the system.
- Device security: Provide multiple protection and control functions for external equipment access, effectively preventing the accidental loss and malicious theft of important system data.

## Getting started

### Software location
Click "Start Menu" of the operating system, select and click "security center" to open the security center software interface, as shown in Figure 1.

![Figure 1 Start menu (open security center)-big](image/1.png)

Click the "Start Menu" of the operating system, then click "Settings", and then click "security" to display the home page of the security center. Click the "view details" button of different modules to directly enter the corresponding module interface of the security center software, as shown in Figure 2.

![Figure 2 Settings (Open Security Center))-big](image/2.png)

### Get help
Click the icon in the security center software interface and click the "help" button to pop up the "user manual" pop-up window to display the relevant information of the security center's help manual, as shown in Figure 3.

![Figure 3 User Manual-big](image/3.png)

### Mode support
The display mode of security center software interface changes with the system theme, UKUI Menu—Settings—Personalized—Theme,as shown in Figure 4-5.

![Figure 4 Light Mode-big](image/4.png)

![Figure 5 Dark Mode-big](image/5.png)

### Language support
The security center software interface follows the system language setting by default and supports Chinese and English and Tibetan, as shown in figures 6 to 8.

![Figure 6 English display-big](image/6.png)

![Figure 7 Chinese display-big](image/7.png)

![Figure 8 Chinese display-big](image/8.png)

## Security Scan

When the system has never undergone physical examination, the homepage of safety physical examination is shown in Figure 9.

![Figure 9 home page of Security Scan (never Security Scan)-big](image/9.png)

After the system physical examination, the safety physical examination homepage displays the last physical examination time, the physical examination duration, the number of risk problems found and the number of physical examination scanning items, as shown in Figure 10.

![Figure 10 home page of Security Scan (display the last physical examination information)-big](image/10.png)

### Security Scan Items
Safety physical examination items mainly include level I and level II physical examination items. Among them, there are three types of first-class physical examination items, including account detection, security detection and system detection; There are 18 items of level II physical examination, which are divided into risk problems and optimization suggestions. Risk Issues include: user file permissions, system file permissions, process protection, module anti uninstall, file protection, networking control, execution control, source check, remote service, firewall and address randomization; Optimization suggestions include: password strength, risk account, account locking, system update, application integrity, file integrity and vulnerability update, which are not included in risk issues.

### Last Physical Examination
Click the "last physical examination" button to pop up the "view last physical examination" pop-up window, which displays the number of problems scanned last time, the number of successful repairs, the number of failed repairs, the number of items not repaired and the number of optimization suggestions, and displays the detailed system physical examination problem information in the list of last physical examination. The inspection items or problem descriptions can be quickly retrieved and located through the search box, As shown in Figure 11.

![Figure 11 Check the last physical examination-big](image/11.png)

### Medical Scan

Click the "start physical examination" button to conduct system security physical examination, dynamically display the physical examination scanning progress, and synchronously display the information of each physical examination item and physical examination results, as shown in Figure 12.

![Figure 12 safety physical examination scanning-big](image/12.png)

If no risk problem items and optimization suggestions are found in the safety physical examination, directly jump to the scanning completion page and prompt "no problem found, your computer is safe", as shown in Figure 13.

![Figure 13 Security Scaning completed (no risk problems and optimization suggestions found) -big](image/13.png)

If no risk problems are found in the safety physical examination and there are optimization suggestions, directly jump to the scanning completion page and display the contents of optimization suggestions, click the "go to Settings" button to jump to the repair page for manual repair, as shown in Figure 14.

![Figure 14 complete of Security Scaning (no risk problems are found and there are optimization suggestions) -big](image/14.png)

If risk problem items are found in the safety physical examination, the scanned risk problem items and optimization suggestions are displayed in the first column, and the risk problem items are prompted in red, as shown in Figure 15.

![Figure 15 complete of Security Scaning (risk problems found)-big](image/15.png)

### Problem fix

#### Single Repair
Click the problem risk item icon area to pop up the corresponding "risk details" pop-up window, which provides repair processing, ignore all and ignore single items, as shown in Figure 16. Click the "Deal" button to repair all the displayed risk problems; Click the "ignore all" button to ignore all risk problems, and the risk will still be scanned in the next physical examination; Click the "ignore" button to ignore the single item, and the single risk will still be scanned in the next physical examination.

![Figure 16 Risk details-big](image/16.png)

Click the optimization suggestion icon area to pop up the corresponding "optimization details" pop-up window, which provides the functions of go setting and ignore all, as shown in Figure 17. Click the "go to Settings" button to jump to the repair page for manual repair; Click the "ignore all" button to ignore all optimization problems, and the optimization suggestions will still be scanned in the next physical examination.

![Figure 17 Optimization details-big](image/17.png)

#### One click repair
All risk problem items are checked by default or can be unchecked. Click the "one click repair" button to repair all checked risk problem items with one click. It cannot be cancelled during the repair process, as shown in Figure 18.

![Figure 18 One click repair-big](image/18.png)

### Repair Complete
After the repair, there are no risk problems and optimization suggestions in the system, as shown in Figure 19. Click "Completed" to return to the home page of physical examination.

![Figure 19 Repair Completed (no risk in the system)-big](image/19.png)

After the repair, there are still risk problems in the system, as shown in Figure 20. If you need to repair this item, please have a physical examination again.

Click "Completed" to return to the home page of physical examination.

![Figure 20 Repair Completed (there are still risk problems)-big](image/20.png)

After the repair, there are still optimization suggestions in the system, as shown in Figure 21. Click the "Settings" button to jump to the system settings page to complete the manual repair.
Click "Completed" to return to the home page of physical examination.

![Figure 21 Repair Completed (there are still optimization suggestions) -big](image/21.png)

## Account Protection
The security center provides system account password strength policy configuration and account locking policy configuration. Click the "account protection" button on the home page or the "account protection" tab in the left list to enter, as shown in Figure 22.

![Figure 22 Account Protection Homepage-big](image/22.png)

### Password Strength

The password strength function can be turned on or off. When it is enabled, the system account needs to comply with the requirements of the current password strength policy; When closed, the system account has no password strength limit.
Password Strength provides two configuration modes: recommendation and customization, as shown in Figure 23.
- Recommended: at least 8 characters, including 2 kinds of uppercase letters, lowercase letters, numbers and special symbols. The password is prohibited to include configuration policies such as user name; 
- Custom: customize the corresponding password strength policy as needed

![Figure 23 Custom Password Strength Policy-big](image/23.png)

The user defined password strength policy configuration interface provides the following settings:
-  Minimum Password Length, setting range 1 to 32 bits;
-  The password shall contain at least 1 to 4 character types;
- Password Validity: including 7 days, 30 days, 90 days, 180 days and permanent, which is permanent by default;
- Password Expiration Reminder includes 3 days, 7 days and 15 days. When the password validity time is set to 7 days, only 3 days can be selected for password expiration reminder;
- Password encryption, supporting two encryption methods: National Security SM3 and SHA-512.

### Account Lock
The account locking function can be turned on or off. When the account is opened, the system account needs to follow the requirements of the current account locking policy; When closed, the system account has no account locking restrictions.
The account Locking function provides the configuration of the number of consecutive wrong password entries and the account locking time. Number of consecutive wrong password entries: set the range 3 or from 5 to 10, and the default is 5; Account Locking Time: 1 minute, 3 minutes, 5 minutes, 10 minutes, 15 minutes and 30 minutes. The default is 3 minutes.

## Virus Protection

The security center provides virus protection to protect your system from threats. Click the "virus protection" tab in the left sidebar list to enter, as shown in Figure 24.

At present, the system integrates the Qianxin engine by default, and provides three ways to scan the system for viruses: fast killing, full killing and custom killing. There are two scanning modes: performance first and speed first.

The virus protection main interface displays the protection days of the corresponding virus engine, the installation time of the virus library, and the enabled virus protection engines.

![Figure 24 Virus Protection Homepage-big](image/24.png)

Click the quick kill button on the main interface of virus protection to enter the quick kill mode, as shown in Figure 25.

![Figure 25 Virus protection and rapid killing-big](image/25.png)

Click the "full disk kill" button on the main interface of virus protection to enter the full disk kill mode, as shown in Figure 26.

![Figure 26 Virus protection and complete killing-big](image/26.png)

Click the custom kill button on the virus protection main interface, and select the file or directory you want to kill in the custom kill pop-up window to start the custom kill, as shown in Figure 27.

![Figure 27 Virus protection and custom killing-big](image/27.png)

When the scanning is completed and there is a risk item, the path and operation of the risk item will be listed in the table. During the operation, you can click trust to put the virus into the trust zone. When the files in the trust zone are scanned next time, you will not be prompted that there is a risk. Click Details to view the corresponding virus type, virus description and risk path in the prompt window, as shown in Figure 28.

![Figure 28 Virus protection risk details-big](image/28.png)

In the upper right of the interface, there are two ways to deal with the virus: ignore all and deal with it immediately. Click ignore all to do nothing about the risk items. The next scan will still prompt that there is a risk. Click "process now" to put the selected virus file into the isolation area for isolation processing, and the original path file will be deleted, as shown in Figure 29.

![Figure 29 Virus protection scanning completed risk treatment-big](image/29.png)

After all risk items are processed, you will be prompted "all risk items are processed", as shown in Figure 30. Click "finish" to return to the virus scanning main interface.

![Figure 30 Virus protection risk treatment completed-big](image/30.png)

The isolated risk item files are displayed in the isolation area. You can view the path, virus name and isolation time of the specific risk item. You can select the risk item and click "recover" and "delete" to perform further operations on the risk item. The number of all risk items and the disk space occupied will be counted at the bottom of the interface, as shown in Figure 31.

![Figure 31 Virus protection isolation area-big](image/31.png)

Click the "restore" button to select whether to add the recovered file to the trust zone. If it is not checked, the risk item will be restored to the original path, and the next scan will still prompt that there is a risk. If it is checked, the risk item will be added to the trust zone, and the next scan will not prompt that there is a risk, as shown in Figure 32.

![Figure 32 Virus protection recovery quarantine file-big](image/32.png)

Trusted files and extensions are displayed in the trust zone. The path, type and adding time of trusted files or risk items are displayed in the file interface, as shown in Figure 33. Click "add" to add files or folders. Files added to the trust zone will not be scanned for risk items. Click "delete" to delete files or folders that have been added to the trust zone.

![Figure 33 Virus protection trust zone file interface-big](image/33.png)

The extension interface in the trust zone displays the name and adding time of the trusted extension. Click the "add" and "delete" buttons to add and delete the corresponding extension, as shown in Figure 34. Files ending with the extension in the trust zone will not be scanned for risk items.

![Figure 34 Virus protection trust zone extension interface-big](image/34.png)

## Network Protection

The security center provides firewall and networking control functions to protect the network security of the system. Click the "Network Protection" button on the home page or the "Network Protection" tab in the list on the left to enter, as shown in Figure 35.

![Figure 35 Network Protection home page-big](image/35.png)

### Firewall

Set firewall access rules to protect system network security. Click the corresponding switch button to open or close the public or private network.
It provides two access modes: public network and office network.
- Public network: it is applicable to the network in public places, and the equipment is set to be undetectable;
- Private network: it is applicable to the network of home or work unit, and the equipment is set to be detectable;

When the two networks are all closed, the firewall access rules are all invalid, and the system is vulnerable to network attacks, as shown in Figure 36.

![Figure 36 Closing the firewall-big](image/36.png)

When the firewall is in public network or private network mode, you can click "advanced configuration" to configure customized firewall access rules, as shown in Figure 37.

![Figure 37 Custom firewall access rules-big](image/37.png)

In the firewall access rule list, click "add" to pop up the "new rule" pop-up window. You can manually enter the name information. Select the corresponding application, direction, network and protocol, enter the IP and port number, and click "OK" to complete the configuration, as shown in Figure 38.

![Figure 38 Add Service-big](image/38.png)

### Network Control

Set application networking control strategy to protect system network security. The networking control function provides on and off configurations, as shown in Figure 39.
- Enable: please prompt me when unauthorized application and service networking are detected; 
- Disable: allow any application to network.

![Figure 39 Networked Control-big](image/39.png)

When the networking control function is enabled, click the "advanced configuration" button to pop up the "advanced configuration - networking control" pop-up window. You can configure the networking control strategy for a single application or service, and provide blocking, alarm and permission, as shown in Figure 40.

![Figure 40 Advanced Configuration - network control-big](image/40.png)

When an unauthorized application or service is connected to the Internet, the system automatically pops up the "Security Center" pop-up window, providing pass, always prohibit, and prohibit once, as shown in Figure 41.

![Figure 41 Network Control-Security Center-big](image/41.png)

The application or service networking control strategy is a warning. When the application or service is connected to the network, the system will automatically pop up a "Security Center" pop-up window. When this prohibition is selected, the upper right corner will prompt that the application networking control has always blocked the application or service from connecting to the network, as shown in Figure 42.


![Figure 42 Network Control-Security Center-big](image/42.png)

## Application Protection

The security center provides application protection functions to protect your system from security threats. Click the "Application Protection" tab in the left sidebar to enter, as shown in Figure 43.

![Figure 43 Application Protection Homepage-big](image/43.png)

### Application Source Check
The security center provides application protection functions to protect your system from security threats. Click the "Application Protection" tab in the left sidebar to enter, as shown in Figure 43.
- Prevent: block the installation of applications from unknown sources; 
- Warning: please prompt me when installing applications from unknown sources; 
- Disable: allows the installation of applications from any source；

When an application from an unknown source is installed, the system automatically pops up the "Security Center" pop-up window, providing permit install and prohibit install, as shown in Figure 44.

![Figure 44 Application Source Check-Security Center-big](image/44.png)

The application source check mode is blocking. When an application from an unknown source is installed, the system automatically pops up a "Security Center" pop-up window, prompting that the application installation has been blocked, as shown in Figure 45.

![Figure 45 Application Source Check-Security Center-big](image/45.png)

### Application Access Control
Set application access control policies to protect system privacy and resource security. The permission control function provides two modes of configuration, as shown in Figure 43.
-Enable: When unauthorized application access to system privacy resources is detected, please prompt me;
-Off: Allow any application to access system privacy resources.
                                                          
Click the "Advanced Configuration" button, and a "Advanced Configuration - Application Access Control" pop-up window will pop up. The application access control list will display the application name and type, as shown in Figure 46.


![Figure 46 Application Access Control-Security Center-big](image/73.png)

After selecting the application and clicking, the directory of user privacy data that the selected application is allowed to access by default will be displayed on the right. Click the add and delete buttons to add and delete directories. As shown in Figure 47.
Click the "Add" button and a "Add Application Benchmark" pop-up box will pop up. You can add and select a single application or directory. Adding a directory scans all applications under the current directory. Select the directory for user privacy data and click the "Delete" button to delete the directory for selecting a single application.

![Figure 47 Application Access Control-Security Center-big](image/74.png)

### Application Execution Control
Set the execution policy of the unauthenticated application to protect the security of the system operating environment. The execution control function provides three mode configurations, as shown in Fig. 43.
- Block: block the execution of unauthenticated applications;
- Warning: please prompt me when executing an uncertified application;
- Close: allows execution of any application.

Click the "Advanced Configuration" button to pop up the "Advanced Configuration - Application Execution Control" pop-up window. The application execution control list includes serial number, file path, file type and current status, as shown in Figure 48.
- File types include: executable program, shared library, executable script and kernel module file.
- Current status includes: tampered, corrupted, and authenticated. Tampered: indicates that the file has been tampered with and the file type has not changed. Such files can be authenticated and de authenticated, or the corresponding software package can be reinstalled for manual recovery; Damaged: indicates that the file has been tampered with and the file type has been damaged. Such files cannot be authenticated or de authenticated, and can only be recovered or manually recovered by reinstalling the corresponding software package; Authenticated: indicates that the file has not been tampered with.
- Operations include authentication and cancellation. Authentication: re authenticate and trust the "tampered" application. After successful authentication, the current status changes to "authenticated" and the current application can be executed; Release: release the "tampered" or "authenticated" application from authentication and distrust. The application execution control list will automatically clear the application information, and the current application cannot be executed;
- By default, they are sorted in the order of "tampered", "damaged" and "authenticated".

![Figure 48 Advanced Configuration - Application Execution Control (brief information)-big](image/46.png)

Click the "add" button to pop up the "add application benchmark value" pop-up box. You can add and select a single application or directory. Adding a directory is to scan all applications under the current directory, as shown in Figure 49.

![Figure 49  Advanced Configuration - Application Execution Control (detailed information)-big](image/47.png)

When the unauthenticated application is executed, the system will automatically pop up the "Security Center" pop-up window, which provides always allow, permit once and prohibit start, as shown in Figure 50.

![Figure 50 Advanced Configuration - Security Center-big](image/48.png)

The control mode of application execution is blocked. When the application is not authenticated, the system will automatically pop up the "Security Center" pop-up window to prompt that the application execution has been blocked, as shown in Figure 51.

![Figure 51 Application Execution Control - Security Center-big](image/49.png)

### Application Protection Control
Set the system security protection strategy, protect the configured applications in real time, and protect the stable operation of key services of the system. The application protection control function provides on and off configuration. When enabled, real-time protection configuration application; When closed, there is no application protection mechanism, as shown in Figure 43.

Click the "advanced configuration" button to pop up the "advanced configuration - application protection control" pop-up box, which provides process anti killing, kernel module file anti unloading and file anti tampering functions, as shown in Figure 52.

#### Process Anti-kill

The process anti kill policy configuration list includes sequence number, process number, process name, process path and anti kill protection switch.
When multiple processes with the same name appear, the anti kill protection switch is combined into one. After the anti kill protection is turned on, these processes can be protected at the same time. The list is displayed in the stowed mode by default. Click the expand or stow button to switch the display, as shown in figures 51 to 52.

![Figure 52 Process Anti-kill (default stow)-big](image/50.png)

![Figure 53 Process Anti-kill (expanded)-big](image/51.png)

#### Kernel Module Anti-unloading

The configuration list of kernel module anti uninstall policy includes serial number, kernel module name and anti uninstall protection switch, as shown in Figure 54.

![Figure 54 Kernel module anti-uninstall-big](image/52.png)

#### File Tamper-proof

The contents displayed in the configuration list of file anti tamper policy include: serial number, file name, file path and release operation. After the protected file is released, the file is automatically cleared from the list, as shown in Figure 55.

![Figure 55 File Tamper-proof-big](image/53.png)

Click the "add" button to pop up the "select files to be protected" pop-up window. You can add files to be protected by yourself.

## Device security

The security center provides equipment safety functions to improve the safety of equipment use. Click the "device Security" button on the homepage or the "device Security" tab in the left menu bar to enter, as shown in Figure 56.

![Figure 56 Device Security Home Page-big](image/54.png)

### Peripheral Management

Set up peripheral management strategies to prevent system data leakage. The peripheral management function provides two mode configurations, as shown in Figure 56. On: When an unauthorized device is detected, please prompt me; Off: Allow any device to access.

Click the "Advanced Configuration" button, and the "Advanced Configuration-Peripheral Management" pop-up window will pop up, which contains four control lists: interface control, device control, permission control, and strategy control.

#### Interface Control

The interface control list provides five types of interface control functions, including USB port, wired network card, Wireless network interface controller, Bluetooth, and HDMI port, as shown in Figure 57.

The switch configuration is performed by clicking the interface icon, and the default state is all on. Among them, when the interface icon is blue, it indicates the on state, and when the interface icon is gray, it indicates the off state. 

When a certain type of interface is closed, the corresponding equipment of this interface type cannot be used normally (in order not to affect the normal operation of the user, the keyboard and mouse devices are not controlled by the USB interface). When the USB interface is set to close, the USB storage device in the corresponding device control will be automatically closed, and the USB storage device cannot be accessed normally.

![Figure 57 Interface Control list-big](image/55.png)

#### Device Control

The device control list provides 5 types of device control functions, including USB mobile storage, external optical drive, built-in optical drive, camera, and printer, as shown in Figure 58.

By clicking the device icon to switch the configuration, the default state is all on. Among them, when the device icon is blue, it indicates the on state, and when the device icon is gray, it indicates the off state.

When a certain type of device is turned off, the corresponding device cannot be accessed normally.

![Figure 58 Device Control list-big](image/56.png)

#### Permission Control

The permission control list provides permission control functions for three types of devices, including USB removable storage, external optical drive, and built-in optical drive, as shown in Figure 59.

Both the built-in CD-ROM device and the mobile CD-ROM device provide the function of controlling the permission of reading the disk and the permission of burning. Among them, the reading permission means that the user can only read the content of the optical disc through the computer's built-in optical drive device, and cannot burn anything inside the optical disk; the burning permission means that the user can perform normal reading and burning operations on the optical disc through the computer's built-in optical drive device.

The mobile storage device provides read-only permission and read-write permission permission control functions. Among them, read-only permission means that the mobile storage device can only read content and cannot write any content; read-write permission means that the mobile storage device can perform normal read and write operations.

![Figure 59 Permission Control list-big](image/57.png)

#### Policy Control

The policy control list contains three lists of unauthorized devices, device policies, and connection records. 

1.List of unauthorized devices

The unauthorized device list can display the information of the identified unauthorized devices in real time. The list display content includes serial number, device name, device type, device VID, device PID, serial number and operation, as shown in Figure 60.

(1)Device types include: USB storage devices, cameras, Bluetooth devices, printers, and external optical drives.

(2)The device name, device VID, device PID, and serial number are all automatically obtained for the currently recognized device information. 

(3)After the device is removed, the unauthorized device list will automatically clear the corresponding device information.

![Figure 60 Policy Control-Unauthorized Device List-big](image/58.png)

Policy configuration can perform policy configuration operations on corresponding devices in the unauthorized device list. Click the "Policy Configuration" button, and the "Policy Configuration" pop-up window will pop up, as shown in Figure 61. The device name is to automatically obtain the currently recognized device name information, or you can modify it yourself, then select the specific policy item (release or block), and finally click the "OK" button to complete the device policy configuration. After the policy configuration is completed, the corresponding device information will be automatically cleared from the unauthorized device list and automatically switched to the device policy control list.

![Figure 61 Unauthorized Device list-policy configuration pop-up window-big](image/59.png)

2.Device policy list

The device policy list can display the configured device policy information. The list display content includes serial number, device name, device type, device VID, device PID, serial number, and policy control, as shown in Figure 62. The strategy control state can be manually configured, and the configuration items include release and block.

![Figure 62 Policy Control-Device Policy List-big](image/60.png)

In the policy control list, you can manually add device policies. Click the "Add" button, and the "Add Device" pop-up window will pop up, as shown in Figure 63. Manually add the device name, device type (USB storage device, camera, Bluetooth device, printer, External drive), device information (VID, PID, and Serial) and policy control status (release or block). After the addition is successful, the device policy control information will be automatically Add to the policy control list.

![Figure 63 Device Policy List-Device Add-big](image/61.png)

Devices in the policy control list can be deleted. Select a device and click the "Delete" button to perform the operation, as shown in Figure 64. After the deletion is complete, the device policy information will be automatically cleared.

![Figure 64 Device Policy List-Device Delete-big](image/62.png)

The device information in the policy control list can be exported. Click the "Export" button, and the "Export Device Policy" pop-up window will pop up. The exported file will be output in the prescribed format XML. The content of the exported file includes: device name, device information (VID, PID, and Serial) and policy control status.

The device information in the policy control list can be imported, and the imported file will be input in the specified format XML. The import operation will not clear the original strategy information, the new strategy will be processed in an incremental manner, and the repeated strategy will be processed in the overwrite manner.

3.List of connection records

The connection record list can display device access history information (only records of the past 60 days are displayed), displayed in descending order of device access time. The list display content includes device name, device type, device VID, device PID, serial number, access time, The access duration and access status are shown in Figure 65.

The device access history information in the connection record list can be exported, and the exported file will be output in the prescribed format XML.

![Figure 65 Connection record list-export connection record-big](image/63.png)

When an unauthorized device is connected, the system automatically pops up the "Security Center" pop-up window to provide pass, stop, and stop once, as shown in Figure 66.

![Figure 66 Peripheral management-Security Center-big](image/64.png)

The device policy is blocking. When the device is connected, the system automatically pops up a "Security Center" pop-up window, prompting that the device is blocked, as shown in Figure 67.

![Figure 67 Peripheral management-Security Center-big](image/65.png)

## Trust Measure

After installing the specified software package on the arm architecture system, the security center will provide the trusted measurement function. Click the "Trust Measure" tab in the left menu bar to enter, as shown in Figure 68.

![Figure 68 Trust Measure Home Page-big](image/67.png)

### Trusted Chain

It is used to display the complete trusted metric chain structure, which is composed of four parts: Trust Root, TPCM, UEFI and GRUB. The icon is blue in trusted status and red in untrusted status. Click the button to view the measurement details, as shown in Figure 69. The "Remeasure" button at the upper right corner of the system is clickable in the untrusted state, and the benchmark value will be updated in the next restart, as shown in Figure 69.

![Figure 69 Trusted Chain-UEFI-big](image/68.png)

![Figure 70 Trusted Chain-Remeasure-big](image/69.png)

### System Startup Metrics

It is used to enable or disable the trusted metric function. Warning indicates that the trusted metric function is enabled and the user will be notified when the system environment changes are detected. Disable means that the trusted metric function is turned off and no device environment detection is performed. Note that the opening and closing here refer to the status of the next system startup, and a pop-up prompt will appear, as shown in Figure 71.

![Figure 71 System startup metrics-Effective after system restart-big](image/70.png)

The "View Details" button on the right can view all measurement information when it is not closed, as shown in Figure 72.

![Figure 72 System startup metrics-View Details-big](image/71.png)

## Safty Memory

After installing the specified software package on the arm architecture system and the hardware supports the safe memory, the security center will provide the safe memory function. Click the "Safty memory" tab in the left menu bar to enter, as shown in Figure 73.

![Figure 73 Safty Memory Home Page-big](image/72.png)

## Appendix: Frequently Asked Questions and Solutions (FAQ)

##### 一、 Security Scan
- Q: How to repair application integrity?

A: In the Security Scan, the repair scheme is not provided temporarily. Users can view the file list in Application protection - Application Execution Control - Advanced settings, certify or cancel the tampered files, and reinstall the corresponding software for the damaged files.
- Q: How to repair file integrity?

A: The repair scheme is not supported in the safety physical examination. The user can view the optimization details on the scanning end page and manually modify the corresponding file according to the details prompt.
- Q: How to update vulnerabilities and systems?

A: When the security check-up prompts that the system is not updated or the vulnerability is not updated, the user can go to "Settings" according to the prompt to update the system or vulnerability. When the "Settings" cannot be updated, the user can manually install the vulnerability package of the corresponding version according to the prompt to repair the vulnerability risk item.
- Q: Why is the Application protection - Application Security Protection Control still closed after repairing the process protection?

A: The application protection control in application protection includes three functions (Process Protection, Module Anti Unloading and File protection). The application protection control is displayed as on only when all three functions are on. The application control can be started by repairing the three modules in the safety physical examination.
- Q: Why do files without owner and group disappear after security repair?

A: When abnormal files of owner and group are detected, it is determined that the file has the risk of being called to obtain administrator permissions. After repair, these files will be deleted. In order to avoid deleting files by mistake, users can view the risk details and check the files which files without owner and group before repair.

##### 二、 Account Protection
- Q：What should I do if the account is locked for a long time or permanently after a large number of incorrect password entries?

A: just restart the machine. At present, the system supports restart and reset, that is, after restarting the system, the locking times and locking time will be reset.
- Q: Why is it prompted to change the password?

A: there are two situations that force the user to change the password. First, the password expires. You can set the password validity in Security Center - Account Protection - password strength - user defined. Second, the password strength changes. The set user password does not meet the current password strength rules. You can modify the password according to the prompt.
- Q: Why is the custom password strength rule unsuccessful?

A: You can first check whether the set custom policy is the same as the recommendation mode. When the custom password policy is the same as the recommendation, it will automatically switch to the recommendation mode. The password policy rules of the recommended mode can be viewed by hovering the small question mark icon with the mouse.

- Q: Why is the account locking time abnormal?

A: when you are prompted that the account locking time is hundreds of days or more, the possible reason is that the user manually modifies the account locking time profile, or the system time is abnormal, that is, the system time when the account is locked is ahead of the current system. Restart the system to reset the locking time. In order to avoid abnormal account locking time, users need to pay attention to the system time and synchronize it with the network time.

##### 三、 Virus Defense
- Q: Why does the security center not display the virus protection page after installing the third-party virus protection tool?

A: At present, it only supports qaxtray, and users can download it through the software store.

##### 四、 Network Protection
- Q: How to handle the problem that the external network cannot access this computer?

A: On the premise that the equipment is connected to the network and the service is normal, the administrator user can enter the Security Center - > network protection. First, turn off the two options in the firewall module to check whether the external network can be accessed. If so, it indicates that it is caused by the firewall, and then configure different firewall policies as required. The differences between firewall policies are as follows:

① Public network: The default access rule allows applications connected to the network to exit, and rejects any external applications to enter;

② Office network: The default access rule allows only networked applications to be outbound and inbound;
- Q: How to handle when the application cannot be networked?

A: the administrator user can enter the Security Center - > network protection - networking control - advanced configuration to check whether the networking policy of the corresponding application is set to prohibit. If it is set to prohibit, the application will be prohibited from networking. Change its networking status as needed.
##### 五、 Application Protection
- Q: When the application source check operation box is grayed out, what should I do ?

A: The administrator user application source detection policy box is grayed out and cannot be clicked. Please use dpkg - L to check whether the libkylin-signtool signool package has been installed. If not, please install it
- Q: Why does the installation package pop up sometimes and not sometimes?

A: when the application source detection is set to the block mode, the unsigned software package will directly fail to install. In the warning mode, the installation authorization window will pop up when installing the unsigned software package, which needs to be confirmed by the user. You can use kylinsigntool - V xxx.deb to check whether the corresponding software package has been signed.
- Q: Why is the application execution control - advanced configuration page blank?

A: The applications installed by default in the system are not displayed. Only the subsequently installed applications and tampered and damaged applications are displayed. You can click "details" to view the applications installed by default.
- Q: How to add user created executable files, scripts and dynamic libraries to kysec whitelist?

A: the administrator user can enter the Security Center - > application protection - > application execution control - > advanced configuration to add the corresponding file / directory to the white list.

- Q: The kysec flag of the file is not unknown, but it still has no permission to execute. What should I do?

A: first execute “ls -l” to check whether the current user has executable permissions on the current file; If yes, use “mount | grep data” to check whether the file has noexec in the mounting parameters of the partition. If yes, the administrator executes “sudo mount - o remount, exec / data”, and then executes.

- Q: Why application execution control list failed to add executable file?

A: if it is a script file, you need to add a header file to the corresponding script file. Secondly, you need Lsattr < filepath > to check whether the hidden attribute is set in the file. If so, you need to remove it and add it again.

- Q: How to judge the user's permission to add and view the application execution control list?

A: Application Execution Control limits the user's permission to add and view, as follows:

(1) Add permissions

① Super user (root user) can add files under all system directories;

② Administrator users (users with sudo permission) can only add files under the system directory with view permission, but cannot add system directory files without view permission (for example, other users cannot add operation directory files);

③ Ordinary users (users without sudo permission) cannot add files and can only view the file list information;

(2) Display rules

① The super user (root user) can display the applications added by all users;

② The administrator user (user with sudo authority) can only display the application with view authority and the application under the user's operation directory;

③ Ordinary users (users without sudo permission) can only display applications with view permission and applications under the user's operation directory;

- Q: Why does the execute control authorization pop-up appear during the use of the system?

A: the administrator user can enter the Security Center - > application protection - > application execution control - > advanced configuration to check whether the file status corresponding to the authorization window is tampered or damaged. For the tampered file, the user can authenticate or cancel the authentication status of the file. For the damaged file, the software package corresponding to the file needs to be reinstalled.
- Q: Why can't the application process be killed?

A: To check whether the corresponding process has enabled process anti killing, you can enter the Security Center - > application protection - > application protection control - > process anti killing list through the administrator user. After closing, it can be killed normally. The next time you need protection, you can open it again.
- Q: The kernel module cannot be uninstalled. What should I do?

A: The administrator user can enter the Security Center - > application protection - > application protection control - > kernel module anti uninstall, check whether the anti uninstall switch of the corresponding kernel module is turned on, and turn off the anti uninstall switch of the kernel module to uninstall normally. The next time you need protection, you can open it again.
- Q: Why can't the file be deleted?

A: to check whether the file is tamper proof, you can enter the Security Center - > application protection - > application protection control - > file tamper proof list through the administrator user. After cancellation, it can be deleted normally.
- Q: Why can't you turn on the networked control and execute the control and protection control?

A: Use the terminal command getstatus to check the kysec status. When the kysec status is in soft mode, each function item cannot be opened normally. After using the command setstatus enable, each function item can be opened normally.

##### 六、 Device Security
- Q: The device has been configured to release, but cannot be used after the device is inserted

A: Please enter the Security Center ->Device Security ->Peripheral Control ->Advanced Configuration ->Interface Control page, and check whether the corresponding device interface is enabled. If not, it needs to be enabled. If it is turned on, switch to the device control page again and check whether the corresponding device is turned on. If it is not, it needs to be turned on.

- Q: Device control authorization pop-up box. What should I do if I accidentally click permanent block

A: Please enter Security Center ->Device Security ->Peripheral Control ->Advanced Configuration ->Policy Control ->Device Policy. You can reset the device policy on this page.
