# 安全中心

## 概 述

### 产品简介
安全中心是一款基于麒麟安全框架KYSEC的管理工具，提供系统安全体检、账户保护配置、防火墙配置、联网控制、病毒防护、应用来源检查、应用执行控制、应用防护和外设管控等功能，保障系统运行环境的安全和稳定。

### 产品亮点
安全中心集安全体检、账户保护、网络保护、病毒防护、应用保护和设备安全等功能于一体，全面保障系统运行环境的安全。
- 安全体检：提供账户安全、运行安全、系统安全等多维度的扫描与一键修复，可自动更新漏洞补丁，及时发现系统安全隐患；
- 账户保护：提供系统账户密码强度检查和账户锁定机制，实现对系统账户的统一管控，提升系统账户安全防御能力，有效防止密码被暴力破解；
- 网络保护：提供防火墙和应用联网控制功能，实时防护未知应用网络行为，阻断主动外联及其它异常网络活动，提高网络访问安全性；
- 病毒防护：提供杀毒软件的统一管理入口，能够兼容多款主流的病毒防护软件，实时防护病毒入侵，保护系统安全；
- 应用控制：提供应用来源检查和应用执行控制功能，阻止未知软件、应用程序的非法安装和恶意执行，避免木马病毒攻击，保障系统运行环境的安全可靠；
- 应用防护：提供进程防杀死、内核模块防卸载和文件防篡改功能，保护系统关键文件完整性，阻止系统关键应用服务异常中断。
- 设备安全：提供外部设备接入的多重防护控制功能，有效防止系统重要数据意外丢失和恶意盗取。

## 使用入门

### 软件位置
点击操作系统“开始菜单”，选择并点击“安全中心”，打开安全中心软件界面，如图1所示。

![图 1 开始菜单（打开安全中心）-big](image/1.png)

点击操作系统“开始菜单”，再点击“设置”，再点击“安全”，显示安全中心首页。点击不同模块的“查看详情”按钮，可以直接进入安全中心软件对应模块界面，如图2所示。

![图 2 设置（打开安全中心）-big](image/2.png)

### 获取帮助
安全中心软件界面中点击菜单图标，点击“帮助”按钮，弹出“用户手册”弹窗，显示安全中心的帮助手册相关信息，如图3所示。

![图 3 用户手册-big](image/3.png)

### 模式支持
安全中心软件界面显示模式随系统主题变化，开始菜单—>设置—>个性化—>主题进行模式的切换。如图4至5所示。

![图 4 浅色模式-big](image/4.png)

![图 5 深色模式-big](image/5.png)

### 语言支持
安全中心软件界面默认跟随系统语言设置，支持中文、英文和藏文，如图6至8所示。

![图 6 中文显示-big](image/6.png)

![图 7 英文显示-big](image/7.png)

![图 8 藏文显示-big](image/8.png)

## 安全体检

系统从未体检时，安全体检首页显示如图9所示。

![图 9 安全体检首页（从未体检）-big](image/9.png)

系统体检过后，安全体检首页显示上次体检时间、体检持续时间、发现风险问题项数和体检扫描项数等信息，如图10所示。

![图 10 安全体检首页（显示上次体检信息）-big](image/10.png)

### 安全体检项
安全体检项主要包含一级和二级体检项。其中，一级体检项共3类，包括：账户检测、安全检测和系统检测；二级体检项共19项，分为风险问题项和优化建议项。风险问题项包括：用户文件权限、系统文件权限、进程保护、模块防卸载、文件保护、联网控制、执行控制、来源检查、远程服务、防火墙、地址随机化和外设管控；优化建议项包括：密码强度、风险账户、账户锁定、系统更新、应用完整性、文件完整性和漏洞更新，不纳入风险问题项。

### 上次体检情况
点击“上次体检情况”按钮，弹出“查看上次体检情况”弹窗，显示上次扫描问题项数、修复成功项数、修复失败项数、未修复项数和优化建议项数等信息，并在上次体检情况列表中显示详细系统体检问题信息，通过搜索框可对检查项或问题描述进行快速检索定位，如图11所示。

![图 11 查看上次体检情况-big](image/11.png)

### 体检扫描

点击“开始体检”按钮进行系统安全体检，动态显示体检扫描进度，同步显示各体检项信息及体检结果，如图12所示。

![图 12 安全体检扫描中-big](image/12.png)

如果安全体检未发现风险问题项和优化建议项时，直接跳转到扫描完成页面并提示“未发现问题，您的电脑很安全”，如图13所示。

![图 13 安全体检扫描完成（未发现风险问题和优化建议项）-big](image/13.png)

如果安全体检未发现风险问题且存在优化建议项时，直接跳转到扫描完成页面并展示优化建议项内容，点击“前往设置”按钮，跳转到修复页面进行手动修复，如图14所示。

![图 14 安全体检扫描完成（未发现风险问题且存在优化建议项）-big](image/14.png)

如果安全体检发现风险问题项时，扫描的风险问题项和优化建议项集中显示在第一栏，风险问题项以红色字体提示风险，如图15所示。

![图 15 体检扫描完成（发现风险问题项）-big](image/15.png)

### 问题修复

#### 单项修复
点击问题风险项图标区域弹出对应的“风险详情”弹窗，提供修复处理、全部忽略和单项忽略功能，如图16所示。点击“处理”按钮可对展示的风险问题项全部修复处理；点击“全部忽略”按钮可对风险问题项全部忽略处理，下次体检仍会扫描出该项风险；点击“忽略”按钮可对单项进行忽略处理，下次体检仍会扫描出该单项风险。

![图 16 风险详情-big](image/16.png)

点击优化建议项图标区域弹出对应的“优化详情”弹窗，提供前往设置和全部忽略功能，如图17所示。点击“前往设置”按钮，跳转到修复页面进行手动修复；点击“全部忽略”按钮可对优化问题项全部忽略处理，下次体检仍会扫描出该优化建议项。

![图 17 优化详情-big](image/17.png)

#### 一键修复
风险问题项默认全部勾选，也可以取消勾选，点击“一键修复”按钮可对所有勾选的风险问题项进行一键式修复处理，修复过程中不能取消，如图18所示。

![图 18 一键修复中-big](image/18.png)

### 修复完成
修复完成后，系统不存在风险问题项和优化建议项，如图19所示。点击“完成”按钮返回体检首页。

![图 19 修复完成（系统暂无风险）-big](image/19.png)

修复完成后，系统仍存在风险问题项，如图20所示。如果需要修复该项，请重新进行体检。

点击“完成”按钮返回体检首页。

![图20 修复完成（仍存在风险问题项）-big](image/20.png)

修复完成后，系统仍存在优化建议项，如图21所示。点击“前往设置”按钮，跳转到系统设置页面，完成手动修复。

点击“完成”按钮返回体检首页。

![图 21 修复完成（仍存在优化建议项）-big](image/21.png)

## 账户保护
安全中心提供系统账户密码强度策略配置，账户锁定策略配置功能。点击左侧边栏列表中“账户保护”标签页进入，如图22所示。

![图 22 账户保护首页-big](image/22.png)

### 密码强度

密码强度功能可以开启或关闭。开启状态时，系统账户需要遵循当前密码强度策略要求；关闭状态时，系统账户无任何密码强度限制。

密码强度提供推荐、自定义两种配置模式。如图23所示。
- 推荐模式：至少8位，包含大写字母、小写字母、数字、特殊符号中的2种，密码禁止包含用户名等配置策略；
- 自定义模式：根据需要自定义相应的密码强度策略。
![图 23 自定义密码强度策略-big](image/23.png)

自定义密码强度策略配置界面提供以下设置：
- 密码最小长度，设置范围1至32位；
- 密码至少包含字符种类，设置范围1至4种；
- 密码有效时间，包含7天、30天、90天、180天和永久，默认为永久；
- 密码到期提醒，包含3天、7天和15天，当设置密码有效时间为7天时，密码到期提醒只能选择3天；
- 密码加密，支持国密SM3和SHA-512两种加密方式。

### 账户锁定
账户锁定功能可以开启或关闭。开启状态时，系统账户需要遵循当前账户锁定策略要求；关闭状态时，系统账户无账户锁定限制。

账户锁定功能提供密码连续输错次数和账户锁定时间配置。密码连续输错次数：设置范围3次或5至10次，默认为5次；账户锁定时间：1分钟、3分钟、5分钟、10分钟、15分钟、30分钟，默认为3分钟。


## 病毒防护

安全中心提供病毒防护功能，保护您的系统免受威胁。点击左侧边栏列表中“病毒防护”标签页进入，如图24所示。

目前系统默认集成奇安信引擎，提供智能查杀、全盘查杀和自定义查杀三种查杀方式对系统进行病毒扫描，扫描模式有性能优先和速度优先两种模式。

病毒防护主界面展示了对应病毒引擎的保护天数、病毒库安装时间和已启用的病毒防护引擎。

![图 24 病毒防护首页-big](image/24.png)

点击病毒防护主界面的智能查杀按钮，可以进入智能查杀模式，如图25所示。

![图 25 病毒防护智能查杀-big](image/25.png)

点击病毒防护主界面的全盘查杀按钮，可以进入全盘查杀模式，如图26所示。

![图 26 病毒防护全盘查杀-big](image/26.png)

点击病毒防护主界面的自定义查杀按钮，在自定义查杀弹窗中选择想要查杀的文件或目录，即可开始自定义查杀，如图27所示。

![图 27 病毒防护自定义查杀-big](image/27.png)

扫描完成并且有风险项时，表格中会列出风险项目的路径和操作，在操作中可以点击信任将病毒放入信任区，信任区内的文件在下次扫描时则不会提示有风险，点击详情可以在提示窗中查看对应的病毒类型、病毒描述和风险路径，如图28所示。

![图 28 病毒防护风险详情-big](image/28.png)

在界面右上方提供对病毒的两种处理方式：全部忽略和立即处理，点击“全部忽略”对风险项不做处理，下次扫描时仍会提示有风险。点击“立即处理”则将选中的病毒文件放入隔离区进行隔离处理，原路径文件会被删除，如图29所示。

![图 29 病毒防护扫描完成风险处理-big](image/29.png)

风险项全部处理完成后，会提示“所有风险项处理完成”，如图30所示，点击“完成”按钮返回病毒扫描主界面。

![图 30 病毒防护风险处理完成-big](image/30.png)

隔离区中展示了被隔离的风险项文件，可以查看具体风险项的路径、病毒名称和隔离时间，可以选中风险项并点击“恢复”和“删除”按钮对风险项执行进一步操作，在界面底部会统计所有风险项数目和占用磁盘空间，如图31所示。

![图 31 病毒防护隔离区-big](image/31.png)

点击“恢复”按钮，可以选择是否将恢复的文件加入信任区，不勾选时会将风险项恢复至原路径，下次扫描时仍会提示有风险，勾选后则将风险项加入信任区，下次扫描时不会提示有风险，如图32所示。

![图 32 病毒防护恢复隔离区文件-big](image/32.png)

信任区中展示了被信任的文件和扩展名，在文件界面中展示了被信任文件或风险项的路径、类型和添加时间，如图33所示，点击“添加”按钮可以添加文件或文件夹，添加至信任区的文件不会被扫描出风险项，点击“删除”按钮，可以删除已经添加至信任区的文件或文件夹。

![图 33 病毒防护信任区文件界面-big](image/33.png)

信任区中的扩展名界面展示了被信任扩展名的名字和添加时间，点击“添加”和“删除”按钮可以增加和删除对应的扩展名，如图34所示，以信任区内扩展名结尾的文件不会被扫描出风险项。

![图 34 病毒防护信任区扩展名界面-big](image/34.png)

## 网络保护

安全中心提供防火墙和联网控制功能，保护系统网络安全性。点击左侧边栏列表中“网络保护”标签页进入，如图35所示。

![图 35 网络保护首页-big](image/35.png)

### 防火墙

设置防火墙访问规则，保护系统网络安全性。点击对应开关按钮可以开启或关闭公用或专用网络。

提供公共网络、办公网络两种访问模式。
- 公共网络：适用于公共场所中的网络，设备设置为不可检测；
- 专用网络：适用于家庭或工作单位的网络，设备设置为可检测；

两种网络全部关闭时，防火墙访问规则全部失效，系统易受网络攻击，如图36所示。

![图 36 关闭防火墙-big](image/36.png)

当防火墙打开公用网络或专用网络模式时，即可点击“高级配置”来配置自定义的防火墙访问规则，如图37所示。

![图 37 自定义防火墙访问规则-big](image/37.png)

在防火墙访问规则列表中，点击“添加”按钮，弹出“新建规则”弹窗，可手动输入名称信息。选择相应的应用、方向、网络、协议并输入IP和端口号，点击“确定”按钮完成添加配置，如图38所示。

![图 38 添加服务-big](image/38.png)

### 联网控制

设置应用联网控制策略，保护系统网络安全性。联网控制功能提供开启和关闭配置，如图39所示。
- 开启：检测到未授权的应用和服务联网时，请提示我；
- 关闭：允许任何应用程序联网。
![图 39 联网控制-big](image/39.png)

联网控制功能开启时，点击“高级配置”按钮，弹出“高级配置-联网控制”弹窗，可以对单个应用或服务进行联网控制策略配置，提供阻止、警告和允许，如图40所示。

![图 40 高级配置-联网控制-big](image/40.png)

未授权应用或服务联网时，系统自动弹出“安全中心”弹窗，提供放行、始终阻止和本次禁止，如图41所示。

![图 41 联网控制-安全中心-big](image/41.png)

应用或服务联网控制策略为警告，当该应用或服务联网时，系统自动弹出“安全中心”弹窗，选择本次禁止时，右上角提示应用联网控制已始终阻止该应用或服务连接联网，如图42所示。

![图 42 联网控制-安全中心-big](image/42.png)

## 应用保护

安全中心提供应用保护功能，保护您的系统免受安全威胁。点击左侧边栏中“应用保护”标签页进入，如图43所示。

![图 43 应用保护首页-big](image/43.png)

### 应用程序来源检查
设置未知来源应用安装策略，保护系统运行环境可靠。来源检查功能提供三种模式配置，如图43所示。
- 阻止：阻止安装未知来源的应用程序；
- 警告：安装未知来源的应用程序时，请提示我；
- 关闭：允许安装任何来源的应用程序。

未知来源应用安装时，系统自动弹出“安全中心”弹窗，提供允许安装和禁止安装，如图44所示。

![图 44 应用程序来源检查-安全中心-big](image/44.png)

应用程序来源检查模式为阻止，当未知来源应用安装时，系统自动弹出“安全中心”弹窗，提示该应用安装已阻止，如图45所示。

![图 45 应用程序来源检查-安全中心-big](image/45.png)

### 应用访问权限控制
设置应用访问权限控制策略，保护系统隐私资源安全。权限控制功能提供两种模式配置，如图43所示。
- 开启：检测到未授权应用访问系统隐私资源时，请提示我；
- 关闭：允许任何应用访问系统隐私资源。

点击“高级配置”按钮，弹出“高级配置-应用访问权限控制”弹窗，应用访问权限控制列表显示内容包括应用名称和类型，如图46所示。

![图 46 高级配置-应用访问权限控制-安全中心-big](image/73.png)

选中应用点击后右侧会显示选中应用默认允许访问的用户隐私数据的目录。点击添加和删除按钮，可以对目录新增和删除。如图47所示。
点击“添加”按钮，弹出“添加应用程序基准值”弹框，可以添加选择单个应用程序或目录，添加目录是扫描当前目录下的所有应用程序。
选中用户隐私数据的目录，点击“删除”按钮，可以删除选择单个应用程序的目录。

![图 47 高级配置-应用访问权限控制-安全中心-big](image/74.png)

### 应用程序执行控制
设置未认证应用执行策略，保护系统运行环境安全。执行控制功能提供三种模式配置，如图43所示。
- 阻止：阻止执行未认证的应用程序；
- 警告：执行未认证的应用程序时，请提示我；
- 关闭：允许执行任何应用程序。

点击“高级配置”按钮，弹出“高级配置-应用程序执行控制”弹窗，应用程序执行控制列表显示内容包括序号、文件路径、文件类型和当前状态，如图48所示。
- 文件类型包括：可执行程序、共享库、可执行脚本和内核模块文件4种类型。
- 当前状态包括：“被篡改”、“已损坏”和“已认证”。被篡改：表示该文件已经被篡改，并且文件类型未发生改变，此类文件可以进行认证和解除认证，也可以重新安装对应的软件包进行手动恢复；已损坏：表示该文件已经被篡改并且文件类型已被破坏，此类文件不能进行认证和解除认证，只能进行恢复或重新安装对应的软件包进行手动恢复；已认证：表示该文件未被篡改。
- 操作包括认证、解除。认证：将“被篡改”应用程序重新认证并信任，认证成功后当前状态变为“已认证”，当前应用程序可以执行；解除：将“被篡改”或“已认证”应用程序解除认证并不信任，应用程序执行控制列表会自动清除该应用程序信息，当前应用程序不可以执行；
- 默认按照“被篡改”、“已损坏”和“已认证”的顺序依次排序。

![图 48 高级配置-应用程序执行控制（简略信息）-big](image/46.png)

点击“添加”按钮，弹出“添加应用程序基准值”弹框，可以添加选择单个应用程序或目录，添加目录是扫描当前目录下的所有应用程序。

执行控制列表默认按照简略信息展示，只展示新安装应用程序信息，如图49所示。点击“详细信息”按钮可切换显示系统所有应用程序信息，如图49所示。

![图 49 高级配置-应用程序执行控制（详细信息）-big](image/47.png)

未认证应用执行时，系统自动弹出“安全中心”弹窗，提供始终允许、本次允许和禁止启动，如图50所示。

![图 50 应用程序执行控制-安全中心-big](image/48.png)

应用程序执行控制模式为阻止，当未认证应用执行时，系统自动弹出“安全中心”弹窗，提示该应用执行已阻止，如图51所示。

![图 51 应用程序执行控制-安全中心-big](image/49.png)

### 应用防护控制
设置系统安全防护策略，实时防护已配置的应用，保护系统关键服务运行稳定。应用防护控制功能提供开启和关闭配置。开启时，实时防护配置应用；关闭时，无任何应用防护机制，如图43所示。

点击“高级配置”按钮，弹出“高级配置-应用防护控制”弹框，提供进程防杀死、内核模块文件防卸载和文件防篡改功能，如图52所示。

#### 进程防杀死

进程防杀死策略配置列表显示内容包括：序号、进程号、进程名称、进程路径和防杀死保护开关。

出现多个名称相同的进程时，防杀死保护开关合并成一个，防杀死保护开启后可以同时保护这些进程，列表默认按照收起方式显示，点击展开或收起按钮进行显示切换，如图51至52所示。

![图 52 进程防杀死（默认收起）-big](image/50.png)

![图 53 进程防杀死（展开）-big](image/51.png)

#### 内核模块防卸载

内核模块防卸载策略配置列表显示内容包括：序号、内核模块名称和防卸载保护开关，如图54所示。

![图 54 内核模块防卸载-big](image/52.png)

#### 文件防篡改

文件防篡改策略配置列表显示示内容包括：序号、文件名称、文件路径和解除操作，解除受保护文件后，文件从列表中自动清除，如图55所示。

![图 55 文件防篡改-big](image/53.png)

点击“添加”按钮，弹出“选择需要受保护的文件”弹窗，可以自行添加需要受保护的文件。

## 设备安全

安全中心提供设备安全功能，提升设备使用的安全性。点击首页“设备安全”按钮，或左侧菜单栏中“设备安全”标签页进入，如图56所示。

![图 56 设备安全首页-big](image/54.png)

### 外设管控

设置外设管控策略，防止系统数据泄露。外设管控功能提供两种模式配置，如图56所示。开启：检测到未授权设备接入时，请提示我；关闭：允许任何设备接入。

点击“高级配置”按钮，弹出“高级配置-外设管控”弹窗，包含接口控制、设备控制、权限控制和策略控制四个控制列表。

#### 接口控制

接口控制列表提供5类接口控制功能，包括：USB口、有线网卡、无线网卡、蓝牙、HDMI口，如图57所示。

通过点击接口图标进行开关切换配置，默认状态均为开启。其中，接口图标显示蓝色时表示开启状态，接口图标显示灰色时表示关闭状态。

当某类接口关闭时，对应此接口类设备均无法正常使用（为了不影响用户正常操作，键盘和鼠标设备不在USB接口控制范围）。当设置USB接口关闭时，对应设备控制中的USB存储设备将自动关闭，USB存储设备均无法正常接入使用。

![图 57 接口控制列表-big](image/55.png)

#### 设备控制

设备控制列表提供5类设备控制功能，包括：USB移动存储、外置光驱、内置光驱、摄像头、打印机，如图58所示。

通过点击设备图标进行开关切换配置，默认状态均为开启。其中，设备图标显示蓝色时表示开启状态，设备图标显示灰色时表示关闭状态。

当某类设备关闭时，对应此类设备无法正常接入使用。

![图 58 设备控制列表-big](image/56.png)

#### 权限控制

权限控制列表提供3类设备的权限控制功能，包括：USB移动存储、外置光驱、内置光驱，如图59所示。

内置光驱设备和外置光驱设备均提供读盘权限和刻录权限权限控制功能。其中，读盘权限表示用户通过计算机内置光驱设备只能读取光盘的内容，不能向光盘刻录任何内部；刻录权限表示用户通过计算机内置光驱设备可以对光盘进行正常读盘和刻录操作。

移动存储设备提供只读权限和读写权限权限控制功能。其中，只读权限表示该移动存储设备只能读取内容，不能写入任何内容；读写权限表示该移动存储设备可以进行正常读写操作。

![图 59 权限控制列表-big](image/57.png)

#### 策略控制
策略控制列表包含未授权设备、设备策略和连接记录3个列表。

1、未授权设备列表

未授权设备列表能够实时显示已识别的未授权设备信息，列表显示内容包括序号、设备名称、设备类型、设备VID、设备PID、序列号和操作，如图60所示。

（1）设备类型包括：USB存储设备、摄像头、蓝牙设备、打印机和外置光驱5种类型。

（2）设备名称、设备VID、设备PID和序列号都是自动获取当前识别的设备信息。

（3）设备被移除后，未授权设备列表自动清除对应设备信息。

![图 60 策略控制-未授权设备列表-big](image/58.png)

策略配置可以对未授权设备列表中对应设备进行策略配置操作。点击“策略配置”按钮，弹出“策略配置”弹窗，如图61所示。设备名称是自动获取当前识别的设备名称信息，也可以自行修改，再选择具体的策略项（放行或阻拦），最后点击“确定”按钮完成设备策略配置。策略配置完成后，对应设备信息在未授权设备列表中将自动清除，并自动切换显示到设备策略控制列表中。

![图 61 未授权设备列表-策略配置弹窗-big](image/59.png)

2、设备策略列表

设备策略列表能够显示已配置的设备策略信息，列表显示内容包括序号、设备名称、设备类型、设备VID、设备PID、序列号和策略控制，如图62所示。策略控制状态可以进行手动配置，配置项包含放行和阻拦。

![图 62 策略控制-设备策略列表-big](image/60.png)

策略控制列表可以手动进行添加设备策略操作，点击“添加”按钮，弹出“设备添加”弹窗，如图63所示。手动添加设备名称、设备类型（USB存储设备、摄像头、蓝牙设备、打印机、外置光驱）、设备信息（VID、PID和Serial）和策略控制状态（放行或阻拦），添加成功后，此设备策略控制信息会自动添加到策略控制列表。

![图 63 设备策略列表-设备添加-big](image/61.png)

策略控制列表中的设备可以进行阻拦操作，选中某一设备进行点击“阻拦”按钮进行操作，如图64所示。

![图 64 设备策略列表-设备删除-big](image/62.png)

策略控制列表中的设备信息可以进行导出操作，点击“导出”按钮，即可选择导出位置。导出文档会按照规定格式XML输出，导出文件内容包括：设备名称、设备信息（VID、PID和Serial）和策略控制状态。

策略控制列表中的设备信息可以进行导入操作，导入文档会按照规定格式XML输入。导入操作不会清空原有策略信息，新增策略按照增量方式处理，重复策略按照覆盖方式处理。

3、连接记录列表

连接记录列表能够显示设备接入历史信息（只显示近60天记录），按照设备接入时间降序显示，列表显示内容包括设备名称、设备类型、设备VID、设备PID、序列号、接入时间、接入时长和接入状态，如图65所示。

连接记录列表中的设备接入历史信息可以进行导出操作，导出文档会按照规定格式XML输出。

![图 65 策略控制-连接记录列表-big](image/63.png)

未授权设备接入时，系统自动弹出“安全中心”弹窗，提供放行、始终阻拦和本次阻拦，如图66所示。

![图 66 外设管控-安全中心-big](image/64.png)

设备策略为阻拦，当该设备接入时，系统自动弹出“安全中心”弹窗，提示该设备接入已阻止，如图67所示。

![图 67 外设管控-安全中心-big](image/65.png)

## 可信度量

在arm架构的系统上安装指定软件包后，安全中心将提供可信度量功能。点击左侧菜单栏中“可信度量”标签页进入，如图68所示。

![图 68 可信度量首页-big](image/67.png)

### 可信链

用于显示完整的可信度量链式结构，在TPCM下由四部分构成分别为：可信根、TPCM、UEFI和GRUB组成。可信状态下图标为蓝色，不可信状态下图标为红色，点击按钮可查看度量详情，如图69所示。不可信状态下右上角“重新度量”按钮为可点击状态，点击后下次重启将更新度量基准值，如图70所示。

![图 69 可信链-UEFI-big](image/68.png)

![图 70 可信链-重新度量-big](image/69.png)

### 系统启动度量

用于设置开启或关闭可信度量功能。警告，表示开启可信度量功能，在检测到系统环境变化时将通知用户。关闭，表示关闭可信度量功能，不进行设备环境检测。注意这里的开启和关闭都是指下次系统启动的状态，会有弹窗提示，如图71所示。

![图 71 系统启动度量-下次启动生效-big](image/70.png)

右侧的“查看详情”按钮在非关闭状态下可查看全部的度量信息，如图72所示。

![图 72 系统启动度量-度量详情-big](image/71.png)

## 安全内存

在arm架构的系统上安装指定的软件包且硬件支持安全内存时，安全中心将提供安全内存功能。点击左侧菜单栏中“安全内存”标签页进入，如图73所示。

![图 73 安全内存首页-big](image/72.png)

## 附录：常见问题及处理方法(FAQ)

##### 一、 安全体检
- 如何进行应用完整性的修复？

答：在安全体检中暂不提供修复方案，用户可在应用保护-应用执行控制-高级设置中查看文件列表，对已篡改的文件进行认证或解除，对已损坏的文件则需重新安装对应的软件。
- 如何进行文件完整性的修复？

答：在安全体检中暂不支持修复方案，用户可在扫描结束页查看风险详情，根据详情提示，手动对相应文件进行修改。
- 如何进行漏洞更新和系统更新？

答:当安全体检提示系统未更新或漏洞未更新时，用户可根据提示前往“设置”，进行系统或漏洞更新。当“设置”无法更新时，用户可根据提示手动安装对应版本的漏洞包，以修复漏洞风险项。
- 为什么修复进程保护后，应用保护-应用防护控制仍为关闭状态？

答：应用保护中的应用防护控制包含三个功能（进程保护，模块防卸载，文件保护），当且仅当三个功能均开启时，应用防护控制才显示为开启状态。在安全体检中进行三个模块的修复，即可开启应用程序控制。
- 为什么进行安全修复后，无属主和属组的文件消失了？

答：当检测出属主与属组异常文件时，判定该文件存在被调用获取管理员权限风险，修复后，会将这些文件删除。为避免误删文件，用户可在修复前查看风险详情，对无属主与无属组文件进行检查。

##### 二、账户保护
- 密码输错次数较多时，账户锁定时间过长或永久锁定如何处理？

答：重启机器即可，目前系统支持重启清零，即重启系统后，锁定次数与锁定时间将清零。
- 为什么会提示需要修改密码？

答：存在两种情况会强制提示用户更改密码。其一是密码过期，可在安全中心-账户保护-密码强度-自定义中设置密码有效期。其二是密码强度发生改变，已设置的用户密码不符合当前的密码强度规则，根据提示修改密码即可。
- 为什么自定义密码强度规则不成功?

答：可以先检查设置的自定义策略是否与推荐模式相同，当自定义密码策略与推荐相同时，将自动切换为推荐模式。推荐模式的密码策略规则可通过鼠标悬浮小问号图标查看。
- 为什么账户锁定时间异常？

答：当提示账户锁定时间为几百天或更久时，可能的原因是用户手动修改账户锁定时间配置文件，或系统时间出现过异常，即账户锁定时的系统时间超前于当前系统。重启系统，使锁定时间清零，即可解决。为避免账户锁定时间异常，用户需关注系统时间，使其与网络时间同步。

##### 三、病毒防护
- 为什么安装三方病毒防护工具后，安全中心没有显示病毒防护页？

答：目前仅支持奇安信网神终端安全管理系统，您可通过软件商店进行下载使用。

##### 四、网络保护
- 外部网络无法访问本机时，如何处理？

答：在确保设备连接网络以及服务正常的前提下，管理员用户可以进入安全中心->网络保护，先关闭防火墙模块内的两个选项，查看外部网络是否可以访问，如果可以访问，说明是由于防火墙导致，然后根据需要配置不同的防火墙策略。各防火墙策略之间区别如下：

① 公共网络：默认访问规则，允许联网的应用程序可以出站，拒绝任何外部应用程序入站；

② 专用网络：默认访问规则，只允许联网的应用程序可以出站和入站；
- 应用程序无法联网时，如何处理？

答：管理员用户可以进入安全中心->网络保护-联网控制-高级配置，查看对应应用的联网策略是否被设置为禁止，如果设置为禁止，该应用程序将被禁止联网。根据需要，更改其联网状态即可。

##### 五、应用保护
- 应用程序来源检查操作框置灰，无法点击时怎么办？

答：管理员用户应用程序来源检测策略框置灰，无法点击，请使用dpkg -l 查看libkylin-signtool包是否已安装，如果未安装，请进行安装。
- 为什么安装软件包有时弹框，有时不弹框？

答：应用来源检测设置为阻止模式时，未签名的软件包会直接安装失败，在警告模式下，安装未签名的软件包时，会弹出安装授权窗口，需要用户进行确认。可以使用kylinsigntool -v xxx.deb，查看对应的软件包是否已签名。
- 为什么应用程序执行控制-高级配置页面会显示空白？

答：系统默认安装的应用不做显示，只显示后续安装的应用程序，以及被篡改、已损坏的应用程序，可以点击“详细信息”查看系统默认安装的应用。
- 如何将用户创建的可执行文件、脚本、动态库加入kysec白名单列表？

答：管理员用户可以进入安全中心->应用保护->应用程序执行控制->高级配置，将对应的文件/目录添加到白名单列表。
- 文件kysec标记不是unknown，但仍无权限执行怎么处理？

答：先执行ls -l 查看当前用户是否有对当前文件的可执行权限；如果有，再mount | grep data查该文件在分区的挂载参数是否有noexec，如果有，管理员执行sudo mount -o remount,exec /data，然后再执行。
- 为什么应用程序执行控制列表添加可执行文件失败？

答：如果是脚本文件，需要给对应的脚本文件添加头文件，其次，需要lsattr <filepath>查看文件是否设置了隐藏属性，如果有设置，需要去掉，再重新进行添加。
- 应用程序执行控制列表，如何判断用户添加、查看权限？

答：应用程序执行控制对用户的添加、查看权限进行了限制，具体如下：

1、添加权限

① 超级用户（root用户）可以添加所有系统目录下的文件；

② 管理员用户（具备sudo权限用户）只能添加具备查看权限的系统目录下的文件，而无法添加不具备查看权限的系统目录文件（如：不能添加其他用户操作目录文件）；

③ 普通用户（不具备sudo权限用户）无法添加文件，只能查看文件列表信息；

2、展示规则

① 超级用户（root用户）可以展示所有用户添加的应用程序；

② 管理员用户（具备sudo权限用户）只能展示具备查看权限的应用程序和该用户操作目录下的应用程序；

③ 普通用户（不具备sudo权限用户）只能展示具备查看权限的应用程序和该用户操作目录下的应用程序；
-  系统使用过程中，为什么出现执行控制授权弹框？

答：管理员用户可以进入安全中心->应用保护->应用程序执行控制->高级配置，查看授权窗口对应的文件状态是否为被篡改或者被损坏，对于已篡改的文件，用户可以进行认证或者解除该文件的认证状态，对于已损坏的文件，需要重新安装该文件对应的软件包。
- 应用进程为何无法kill掉？

答：查看对应的进程是否开启了进程防杀死，可以通过管理员用户进入安全中心->应用保护->应用防护控制->进程防杀死列表进行查看，关闭后，即可正常杀死。下次需要防护时，可再次打开。
- 内核模块无法卸载，怎么办？

答：管理员用户可以进入安全中心->应用保护->应用防护控制->内核模块防卸载，查看对应的内核模块是否开启了防卸载开关，关闭该内核模块的防卸载开关，即可正常卸载。下次需要防护时，可再次打开。
- 文件为何无法删除？

答：查看该文件是否添加了防篡改，可以通过管理员用户进入安全中心->应用保护->应用防护控制->文件防篡改列表进行查看。解除后，即可正常删除。
- 为何无法开启联网控制，执行控制与防护控制？

 答：使用终端命令getstatus查看kysec状态，当kysec状态为软模式（softmode）时，各功能项无法正常开启。使用命令setstatus enable后，即可正常开启各功能项。

##### 六、设备安全
- 设备已配置策略为放行，但是插入设备后仍然无法使用

答：请进入安全中心->设备安全->外设管控->高级配置->接口控制页面，然后检查对应的设备接口是否开启，如果没有开启，需要开启。如已开启，再切换到设备控制页面，检查对应的设备是否开启，如果没有开启，需要开启。
- 设备管控授权弹框，不小心点击了永久阻拦怎么办

答：请进入安全中心->设备安全->外设管控->高级配置->策略控制->设备策略，在该页面可以重新设置设备的策略。
