BEGIN TRANSACTION;

--信任的漏洞信息表
create table trust_vulnerability(
cve_id text primary key,
trust_time not null default current_timestamp
);

--忽略的漏洞信息表
create table ignore_vulnerability(
cve_id text primary key,
ignore_time not null default current_timestamp
);

--漏洞修复时间表
create table vulnerability_repair_time(
cve_id text primary key,
fix_time not null default current_timestamp
);

--漏洞信息表
create table vulnerability_info(
src_pkg_name text,
pkg_name text,
fixed_version text,
fix_type integer,		--  1.不影响 2.忽略 3.升级 4.安全缓解 5.配置缓解
cve_id text,
cve_level integer,
cve_desc text
);

--基础信息表（包含当前数据库版本、关联的漏洞库包版本、自动更新配置、手动更新配置）
create table base_info(
db_version integer,
vulnerability_pkg_version text,
manual_update integer,	--  0.关闭 1.开启
auto_update integer		--  0.关闭 1.开启
);

insert into base_info values(1, "", 0, 1);

COMMIT;